Name:       sparse
Version:    0.6.4
Release:    %mkrel 3
Summary:    A semantic parser of source files
Group:      Development/Tools
License:    OSL 1.1
URL:        https://sparse.wiki.kernel.org
Source0:    https://fossies.org/linux/misc/sparse-%{version}.tar.xz
Patch0:     0001-fix-unreplaced-warnings-caused-by-using-typeof-on-in.patch

BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(sqlite3)

Obsoletes:     sparse-devel < 0.6.0-1

%description
Sparse is a semantic parser of source files: it's neither a compiler
(although it could be used as a front-end for one) nor is it a
preprocessor (although it contains as a part of it a preprocessing
phase).

It is meant to be a small - and simple - library.  Scanty and meager,
and partly because of that easy to use.  It has one mission in life:
create a semantic parse tree for some arbitrary user for further
analysis.  It's not a tokenizer, nor is it some generic context-free
parser.  In fact, context (semantics) is what it's all about - figuring
out not just what the grouping of tokens are, but what the _types_ are
that the grouping implies.

Sparse is primarily used in the development and debugging of the Linux kernel.

%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags}" HAVE_LLVM=no

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} HAVE_LLVM=no

%check
#make check HAVE_LLVM=no

%files
%doc LICENSE README FAQ
%{_bindir}/sparse
%{_bindir}/semind
%{_bindir}/cgcc
%{_bindir}/c2xml
%{_bindir}/test-inspect
%{_mandir}/man1/*


%changelog
* Sun Mar 16 2025 wally <wally> 0.6.4-3.mga10
+ Revision: 2165026
- rebuild for libxml2 2.13.6

* Thu Sep 26 2024 daviddavid <daviddavid> 0.6.4-2.mga10
+ Revision: 2101308
- disable testsuite for now

* Tue Dec 06 2022 daviddavid <daviddavid> 0.6.4-1.mga9
+ Revision: 1918459
- new version: 0.6.4

* Wed Mar 30 2022 umeabot <umeabot> 0.6.3-3.mga9
+ Revision: 1835402
- Mageia 9 Mass Rebuild

* Thu Nov 26 2020 tv <tv> 0.6.3-2.mga8
+ Revision: 1649539
- enable semind
- disable broken llvm support (was restricted to x86 anyway)
- kill useless flags
- rebuild for llvm-11

* Wed Oct 21 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1637712
- new version: 0.6.3

* Tue Jun 23 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1598698
- new version: 0.6.2

* Sun Mar 22 2020 tv <tv> 0.6.1-3.mga8
+ Revision: 1558987
- fix detecting llvm 10
- rebuild with llvm 10

* Sun Feb 16 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1535896
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1453083
- new version: 0.6.1

* Tue Sep 17 2019 tv <tv> 0.6.0-3.mga8
+ Revision: 1443031
- rebuild for new llvm

* Mon Apr 15 2019 daviddavid <daviddavid> 0.6.0-2.mga7
+ Revision: 1390753
- rebuild for new llvm/clang 8.0

* Fri Feb 08 2019 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1364258
- new version: 0.6.0
- drop devel sub-pkg removed upstream
- remove merged upstream patch

* Thu Sep 27 2018 tv <tv> 0.5.2-4.mga7
+ Revision: 1308218
- rebuild for llvm 7.0
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 daviddavid <daviddavid> 0.5.2-2.mga7
+ Revision: 1220514
- new version: 0.5.2
- update Source URL
- add BR llvm-devel
- switch to GTK3

* Fri Feb 05 2016 umeabot <umeabot> 0.4.4-8.mga6
+ Revision: 939050
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-7.mga5
+ Revision: 745549
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-6.mga5
+ Revision: 689267
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.4-5.mga4
+ Revision: 521984
- Mageia 4 Mass Rebuild

* Sun Feb 03 2013 neoclust <neoclust> 0.4.4-4.mga3
+ Revision: 394284
- imported package sparse


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 30 2011 Jeff Layton <jlayton@redhat.com> - 0.4.4-2
- fix project URL in specfile (again) (bz#732529)

* Wed Nov 30 2011 Jeff Layton <jlayton@redhat.com> - 0.4.4-1
- update to new upstream release (bz#757482)

* Mon Aug 29 2011 Jeff Layton <jlayton@redhat.com> - 0.4.3-4
- fix project URL in specfile (bz#732529)

* Thu Jun 23 2011 Jeff Layton <jlayton@redhat.com> - 0.4.3-3
- fix build with gcc 4.6 (bz#716105)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 08 2010 Jeff Layton <jlayton@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Sun Oct 18 2009 Jeff Layton <jlayton@redhat.com> - 0.4.2-1
- Update to 0.4.2

* Tue Sep 29 2009 Jeff Layton <jlayton@redhat.com> - 0.4.2rc1-1
- Update to 0.4.2rc1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jun  1 2008 Tom "spot" Callaway <tcallawa@redhat.com? - 0.4.1-3
- use fPIC on sparcv9/sparc64

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.1-2
- Autorebuild for GCC 4.3

* Tue Nov 13 2007 Roland McGrath <roland@redhat.com> - 0.4.1-1
- Upgrade to 0.4.1

* Thu Nov  1 2007 Roland McGrath <roland@redhat.com> - 0.4-2
- Upgrade to 0.4
- Install man pages, c2xml.
- Run make check in rpmbuild.

* Tue Aug 28 2007 Roland McGrath <roland@redhat.com> - 0.3-2
- Canonicalize License: tag.

* Thu May  3 2007 Roland McGrath <roland@redhat.com> - 0.3-1
- Upgrade to 0.3

* Tue Dec 05 2006 Matt Domsch <Matt_Domsch@dell.com> 0.2-1
- Upgrade to 0.2, add -devel package

* Thu Nov 09 2006 Matt Domsch <Matt_Domsch@dell.com> 0.1-1
- Upgrade to 0.1, no need for snapshots, yea!  New upstream maintainer.
- cgcc now installed

* Thu Oct 26 2006 Matt Domsch <Matt_Domsch@dell.com> 0-0.1.20061026git
- Initial packaging for Fedora Extras
